Get a single PBX extension connector
curl --request GET \
--url https://{subdomain}.mihu.ai/api/v1/pbx_extension_connectors/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.mihu.ai/api/v1/pbx_extension_connectors/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.mihu.ai/api/v1/pbx_extension_connectors/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"pbx_extension_connector_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"phone_number": "<string>",
"agent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_name": "<string>",
"sip_connector_server": "<string>",
"pbx": {
"registrar_server": "<string>",
"port": 123,
"username_extension": "<string>"
},
"inbound": {
"allowed_ip": "<string>"
},
"auth": {
"has_separate_credentials": true,
"username": "<string>"
},
"normalizer": {
"default_prefix": "<string>",
"condition_length": "<string>",
"condition_prefix": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}PBX Extension Connectors
Get a single PBX extension connector
Returns one PBX extension connector by UUID, including the linked agent, phone number, extension payload, and connector status. Use this before updating external PBX configuration or deleting the connector.
GET
/
api
/
v1
/
pbx_extension_connectors
/
{uuid}
Get a single PBX extension connector
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Path Parameters
⌘I